@media (max-width: 1240px) {
    .mobilmenu {
        display: none;
    }

    .mobilmenu {
        height: 72px;
        position: fixed;
        top: 0;
        z-index: 999;
        width: 100vw;
        background-color: transparent;
        display: flex;
        align-items: center;
        justify-content: space-between;
        transition: background-color 0.5s;
        padding: 0 20px;
        background-color: #fff;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    }

    .mobilmenu .container {
        display: flex;
        justify-content: space-between;
        max-width: 100%;
    }

    .mobilmenu .logo {
        /* position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); */
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .mobilmenu a img {
        height: 32px;
        object-fit: contain;
    }

    .mobilmenu .buttons {
        display: flex;
        gap: 15px;
    }

    .mobilmenu #sidebar-collapse,
    .mobilmenu .basket {
        width: 50px;
        height: 50px;
        background-color: var(--green);
        position: relative;
        border-radius: 999px;
        border: none;
        outline: none;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 5px;
    }

    .mobilmenu .basket {
        background-color: var(--blue);
    }

    .mobilmenu .basket svg {
        width: 24px;
    }

    .mobilmenu .hb1 {
        /* position: absolute;
        top: 10px;
        right: 7px; */
        width: 26px;
        border-bottom: 4px solid white;
        border-radius: 99px;
        transition: all 0.5s;
    }

    .mobilmenu .hb2 {
        /* position: absolute;
    top: 18px;
    right: 7px; */
        width: 26px;
        border-bottom: 4px solid white;
        border-radius: 99px;
        transition: all 0.5s;
    }

    .mobilmenu .hb3 {
        /* position: absolute;
    top: 26px;
    right: 7px; */
        width: 13px;
        border-bottom: 4px solid white;
        border-radius: 99px;
        transition: all 0.5s;
        margin-left: 12px;
    }

    .mobilmenu #sidebar-collapse.closed .hb1 {
        transform: rotate(-45deg) translate(-6px, 7px);
        width: 30px;
    }

    .mobilmenu #sidebar-collapse.closed .hb2 {
        margin-right: -100%;
        opacity: 0;
    }

    .mobilmenu #sidebar-collapse.closed .hb3 {
        transform: rotate(45deg) translate(-6px, -7px);
        width: 30px;
        margin-left: 0;
    }

    #sidebar {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }

    #sidebar,
    .navbar-dropdown {
        width: 100%;
        position: fixed;
        right: -100vw;
        top: 72px;
        height: calc(100svh - 72px);
        z-index: 997;
        background: white;
        transition: right 0.45s ease-out;
        overflow: hidden;
        overflow-y: scroll;
        overscroll-behavior: contain;
        padding: 0 20px;
    }

    #sidebar.active,
    .navbar-dropdown.active {
        right: 0;
    }

    #sidebar .content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 100%;
        margin-top: -10px;
        height: 100%;
    }

    #sidebar .links {
        width: 100%;
        margin-top: 30px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    #sidebar .links .nav-item {
        width: 100vw;
        height: 60px;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        font-size: 20px;
        font-weight: 600;
    }

    #sidebar .links a svg {
        position: absolute;
        right: 25px;
        top: 50%;
        transform: translateY(-50%) rotate(-90deg);
        width: 18px;
    }

    #sidebar .links a svg path {
        stroke: var(--gray);
    }

    #sidebar .bottom {
        display: flex;
        flex-direction: column;
        height: 100%;
        align-items: center;
        justify-content: flex-end;
        padding-bottom: 30px;
        gap: 20px;
    }

    #sidebar .bottom .primary-link {
        width: 200px;
        height: 60px;
        text-align: center;
        font-size: 16px;
        font-weight: 600;
        display: flex;
        align-items: center;
        justify-content: center;
        text-transform: uppercase;
    }

    #sidebar .bottom > .buttons {
        display: flex;
        gap: 20px;
    }

    #sidebar .bottom .item > button {
        width: 60px;
        height: 60px;
        border-radius: 999px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    #sidebar .bottom .item > button.search {
        background-color: var(--yellow);
    }

    #sidebar .bottom .item > button.accessibility {
        background-color: var(--green);
    }

    #sidebar .bottom .item > button svg {
        height: 24px;
    }

    .navbar-dropdown {
        z-index: 998;
        padding: 0;
        overflow-y: auto;
    }

    .navbar-dropdown .rect {
        position: relative;
        overflow: hidden;
        padding-bottom: 0;
    }

    .navbar-dropdown.red .rect {
        border: 10px solid var(--red);
    }

    .navbar-dropdown.green .rect {
        border: 10px solid var(--green);
    }

    .navbar-dropdown.blue .rect {
        border: 10px solid var(--blue);
    }

    .navbar-dropdown .arrow {
        transform: rotate(90deg);
        cursor: pointer;
        position: absolute;
        top: 25px;
        right: 15px;
        width: 40px;
        z-index: 999;
        padding: 5px;
    }

    .navbar-dropdown.red .arrow path {
        stroke: var(--red);
    }

    .navbar-dropdown.green .arrow path {
        stroke: var(--green);
    }

    .navbar-dropdown.blue .arrow path {
        stroke: var(--blue);
    }

    .navbar-dropdown .container {
        position: relative;
        padding: 20px;
        flex-wrap: wrap;
        justify-content: flex-start;
        gap: 20px;
        max-height: calc(100vh - 280px);
        overflow-y: auto;
    }

    .navbar-dropdown .container .item {
        width: 46%;
        margin-top: 20px;
    }

    .navbar-dropdown .container .item:nth-of-type(2n) {
        width: 41%;
    }

    .navbar-dropdown .cols {
        max-height: fit-content;
        flex-wrap: nowrap;
    }

    .navbar-dropdown h3 {
        font-size: 16px;
        margin-bottom: 10px;
    }

    .navbar-dropdown a {
        font-size: 14px;
        margin-bottom: 5px;
        height: auto;
    }

    .navbar-dropdown .image {
        height: 180px;
        width: 100%;
        padding-left: 30px;
        gap: 20px;
        overflow: hidden;
        justify-content: space-between;
        z-index: 1;
    }

    .navbar-dropdown .image::before {
        height: 220px;
        width: 220px;
        right: -50px;
        bottom: -50px;
    }

    .navbar-dropdown .image img {
        width: 190px;
    }

    .navbar-dropdown .image .quote {
        max-width: 170px;
        font-size: 16px;
        margin-bottom: 40px;
    }

    .desktop-modal {
        width: calc(100vw - 40px);
        max-width: 400px;
        right: 20px;
    }

    .desktop-modal.active {
        transform: translateY(17px);
    }

    .desktop-modal.basket-modal::before {
        left: auto;
        right: 69px;
        width: 40px;
        height: 20px;
        top: -17px;
    }

    .desktop-modal.basket-modal .buttons .primary-link {
        margin-bottom: 0 !important;
        font-size: 15px;
    }

    .desktop-modal.basket-modal .summary {
        font-size: 16px;
    }

    .desktop-modal.basket-modal .summary .price {
        font-size: 16px;
    }

    .navbar-dropdown.search-modal,
    .navbar-dropdown.accessibility-modal {
        padding: 20px;
    }

    .navbar-dropdown.search-modal h3,
    .navbar-dropdown.accessibility-modal h3 {
        font-size: 18px;
        margin-bottom: 15px;
        margin-top: 15px;
    }

    .navbar-dropdown.accessibility-modal h3 {
        margin-bottom: 30px;
    }

    .navbar-dropdown.accessibility-modal .buttons {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
}

@media (min-width: 1241px) {

    #sidebar,
    .overlay.active {
        display: none;
    }

    .mobilmenu {
        display: none;
    }
}